# Class QuotedStringTokenizer

java.lang.Object
org.apache.catalina.valves.rewrite.QuotedStringTokenizer

public class QuotedStringTokenizer extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final StringManager`
`sm`

## Constructor Summary

Constructors
Constructor
Description
`QuotedStringTokenizer(String text)`

## Method Summary

Modifier and Type
Method
Description
`int`
`countTokens()`
`boolean`
`hasMoreTokens()`
`String`
`nextToken()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sm

protected static final StringManager sm

## Constructor Details

### QuotedStringTokenizer

public QuotedStringTokenizer(String text)

## Method Details

### hasMoreTokens

public boolean hasMoreTokens()

### nextToken

public String nextToken()

### countTokens

public int countTokens()